using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Workflow.Runtime;
using System.Workflow.Runtime.Hosting.Web;
using System.Workflow.Runtime.Messaging;

namespace Workflow.RuntimeServices
{
	[Serializable]
	public class GetEmailService : IGetEmailService
	{
		public Guid instanceId;

		public GetEmailService()
		{
		}

		public event EventHandler<EmailEventArgs> EmailReceived;
		public event EventHandler<WorkflowMessageEventArgs> EmailRequested;

		public void SubmitEmail(string email)
		{
			if (EmailReceived != null)
			{
				EmailEventArgs e = new EmailEventArgs(instanceId, email);
				EmailReceived(null, e);
			}
		}

		public void RequestEmail()
		{
			if (EmailRequested != null)
				EmailRequested(this, new WorkflowMessageEventArgs(instanceId));
		}
	}
}