using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Workflow.Runtime;
using System.Workflow.Runtime.Hosting.Web;
using System.Workflow.Runtime.Messaging;

namespace Workflow.RuntimeServices
{
	[Serializable]
	public class GetNameService : IGetNameService
	{
		public Guid instanceId;

		public GetNameService()
		{
		}

		public event EventHandler<NameEventArgs> NameReceived;
		public event EventHandler<WorkflowMessageEventArgs> NameRequested;

		public void SubmitName(string first, string last)
		{
			if (NameReceived != null)
			{
				NameEventArgs e = new NameEventArgs(instanceId, first, last);
				NameReceived(null, e);
			}
		}

		public void RequestName()
		{
			if (NameRequested != null)
				NameRequested(this, new WorkflowMessageEventArgs(instanceId));
		}
	}
}